Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Managed Service for MySQL®
  • Getting started
  • Access management
  • Pricing policy
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Delete
  • Monitoring metrics
  • Audit Trails events
  • Public materials
  • Release notes

In this article:

  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • Database
  1. API reference
  2. REST
  3. Database
  4. List

Managed Service for MySQL API, REST: Database.List

Written by
Yandex Cloud
Improved by
amatol
Updated at June 1, 2026
View in Markdown
  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • Database

Retrieves the list of databases in a cluster.

HTTP requestHTTP request

GET https://mdb.api.cloud.yandex.net/managed-mysql/v1/clusters/{clusterId}/databases

Path parametersPath parameters

Field

Description

clusterId

string

Required field. ID of the cluster to list databases in.
To get this ID, make a ClusterService.List request.

The maximum string length in characters is 50.

Query parametersQuery parameters

Field

Description

pageSize

string (int64)

The maximum number of results per page to return.
If the number of available results is larger than pageSize, the API returns a ListDatabasesResponse.nextPageToken that can be used to get the next page of results in the subsequent DatabaseService.List requests.

Acceptable values are 0 to 1000, inclusive.

pageToken

string

Page token that can be used to iterate through multiple pages of results.
To get the next page of results, set pageToken to the ListDatabasesResponse.nextPageToken returned by the previous DatabaseService.List request.

The maximum string length in characters is 100.

ResponseResponse

HTTP Code: 200 - OK

{
  "databases": [
    {
      "name": "string",
      "clusterId": "string",
      "deletionProtectionMode": "string"
    }
  ],
  "nextPageToken": "string"
}

Field

Description

databases[]

Database

List of databases.

nextPageToken

string

The token that can be used to get the next page of results.
If the number of results is larger than ListDatabasesRequest.pageSize, use the nextPageToken as the value for the ListDatabasesRequest.pageToken in the subsequent DatabaseService.List request to iterate through multiple pages of results.
Each of the subsequent DatabaseService.List requests should use the nextPageToken value returned by the previous request to continue paging through the results.

DatabaseDatabase

An object that represents MySQL database.
See the documentation for details.

Field

Description

name

string

Name of the database.

clusterId

string

ID of the cluster that the database belongs to.

deletionProtectionMode

enum (DeletionProtectionMode)

Deletion Protection inhibits deletion of the database
Default value: DELETION_PROTECTION_MODE_DISABLED (protection is disabled)

  • DELETION_PROTECTION_MODE_DISABLED: Deletion protection is disabled
  • DELETION_PROTECTION_MODE_ENABLED: Deletion protection is enabled
  • DELETION_PROTECTION_MODE_INHERITED: Deletion protection mode is inherited from the cluster

Was the article helpful?

Previous
Get
Next
Create
© 2026 Direct Cursus Technology L.L.C.